# file: $isip/class/algo/Correlation/GNUmakefile
# version: $Id: GNUmakefile 10458 2006-03-08 00:04:10Z prasad $
#
# this make file builds the Correlation class
#

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = CorrelationEntropy.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = AlgorithmBase.h Long.h Rps.h CorrelationIntegral.h

# define the output library
#
ISIP_OLIB = lib_algo.a

# define the compilation flags
# 
ISIP_CFLAGS =

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
